# test for eccentric waveform model with advancement periastron

accounting = ligo.dev.o3.cbc.pe.lalinference

# trigger time tells u the part of data segment to retrieve. Check trigger-time along with geocent-time
# geocent-time is desirable near the end of this data segment.
trigger-time = 1187008882.4

label = eccn_taylorf2_lal_binary_black_hole
outdir = outdir_taylorf2_lal_binary_black_hole

detectors = [H1, L1, V1]
sampling-frequency = 1024.
duration = 8.
post-trigger-duration = 1.0

sampler = dynesty
sampler-kwargs = {'nlive': 500}

channel-dict = {H1:GWOSC, L1:GWOSC, V1:GWOSC}

# custom waveform at lalsimulation
waveform-approximant = TaylorF2
# this frequency-domain-source-model is include in source.py (bilby/gw)
frequency-domain-source-model = lal_binary_black_hole

n-simulation = 1

n-parallel = 1

request-cpus = 8

prior-dict = {
mass_1 = Constraint(name='mass_1', minimum=1.0, maximum=3.0),
mass_2 = Constraint(name='mass_2', minimum=1.0, maximum=3.0),
chirp_mass = Uniform(name='chirp_mass', minimum=0.8705505632961241,maximum=2.611651689888372),
mass_ratio = Uniform(name='mass_ratio', minimum=0.3333333333333333, maximum=1),
a_1 = 0.,
a_2 = 0.,
tilt_1 = 0.,
tilt_2 = 0.,
phi_12 = 0.,
phi_jl = 0.,
luminosity_distance = 40.7,
theta_jn = Sine(name='theta_jn'),
psi =  Uniform(name='psi', minimum=0, maximum=6.283185307179586),
phase = Uniform(name='phase', minimum=0, maximum=6.283185307179586),
geocent_time = Uniform(1187008882.33, 1187008882.53, name='geocent_time', unit='s'),
ra = 3.44615914,
dec =  -0.40808407,
}


